BCOPY(3)

NAME
bcopy - copy byte string

LIBRARY
libc

SYNOPSIS
#include <strings.h>
void
bcopy(const void *src, void *dst, size_t len);

DESCRIPTION
The bcopy() function copies len bytes from string src to string dst. The two strings may overlap. If len is zero, no bytes are copied.

This function is obsolete. The functions memcpy(3) and/or memmove(3) should be used instead. Note that bcopy() takes its src and dst arguments in the opposite order from these.

SEE ALSO
memccpy(3), memcpy(3), memmove(3), strcpy(3), strncpy(3)

STANDARDS
The bcopy() function conforms to p1003.1-2001. The p1003.1-2004 revision marked it as legacy; the p1003.1-2008 revision removed it from the specification.

HISTORY
A bcopy() function appeared in 4.2BSD.